/**
 * Simple Press plugin
 */

(function() {
 	tinymce.PluginManager.requireLangPack('sphelp');
	tinymce.create('tinymce.plugins.sphelp', {
		init : function(ed, url) {
			// Register commands
			ed.addCommand('sp_help', function() {
				ed.windowManager.open({
					file : url + '/sp-help.php',
					width : 450,
					height : 420,
					inline : 1,
                    popup_css : false
                }, {
                    plugin_url : url, // Plugin absolute URL
                });
			});

			// Register buttons
			ed.addButton('sp_help', {
				title : 'sphelp.desc',
				cmd : 'sp_help'
			});
		},

		getInfo : function() {
			return {
				longname : 'WordPress Simple Press Plugin',
				author : 'Simple Press',
				authorurl : 'http://simple-press.com',
				infourl : 'http://simple-press.com',
				version : '5.0'
			};
		}
	});

	// Register plugin
	tinymce.PluginManager.add('sphelp', tinymce.plugins.sphelp);
})();
